
/*******************************************************************************
* Copyright (c) 2015 Olivier Langella <Olivier.Langella@moulon.inra.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <Olivier.Langella@moulon.inra.fr> - initial API and implementation
******************************************************************************/
#ifndef PROJECT_H
#define PROJECT_H

#include<memory>
#include <pappsomspp/grouping/grpexperiment.h>
#include <QFileInfo>
#include <pappsomspp/protein/protein.h>
#include <pappsomspp/msrun/msrunid.h>

class Project;
typedef std::shared_ptr<Project> ProjectSp;

class Project
{
public:
    Project();
    ~Project();
    
    ProjectSp makeProjectSp() const;
    void readXpipFile(QFileInfo xpip_source);
    void addProteinSp(pappso::ProteinSp protein_sp);
    std::vector<pappso::ProteinSp> & getProteinList();
    void addMsRunIdSp(pappso::MsRunIdSp ms_run_sp);
    
    pappso::GrpExperiment * _p_grp_experiment= nullptr;
private :
  std::vector<pappso::ProteinSp> _protein_list;
  
  std::vector<pappso::MsRunIdSp> _ms_run_list;
};

#endif // PROJECT_H
